Description

Supportanfrage

We were trying to implement Unit testing for our ADTF filter modules. We saw in ADTF SDK about using ctest for unit testing. Can

you provide a simple example for the same for us to start our work?

Also,

Can we create an object of ADTF filter class?

Looking forward for your answer.

Lösung

Please have a look at our delivered testing examples (./src/examples/src/test) based on ADTF Test Framework, this will quite show

you how to test a filter and give some additional hints.

History

#1 - 2019-09-05 10:50 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

- Customer set to VW

- Department set to IAV

- Affected Products ADTF 3.6.1 added

- Platform Windows 10 64bit added

Hello Shrivathsa Udupa,

there is already an provided example in ADTF 3.6.1 !

Please have a look in the ADTF Documentation for the Test Demo Data Trigger

This should help you and answer your questions.

Please let us know if this helps you.

#2 - 2019-09-05 10:50 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2019-09-05 12:00 - hidden

Hello,

Thank you for such quick response. I forgot to mention in my previous mail that we are using ADTF version 2.13. So, just wanted to know if the

functions mentioned in the example given below suits the ADTF version 2.13 as well. Also,

If we are planning to use other Unit testing frameworks, like  Boost libraries, we might have to create an object of ADTF filter class. Is it possible to

create an Object of ADTF filter class?
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_testframework.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_test_data_triggered_filter.html


ADTF Version: 2.13

Operating System: WIN10 64 bit

Looking forward for your answer.

Best Regards,

Udupa, Shrivathsa (TF-M)

#4 - 2019-09-05 13:48 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2019-09-05 15:13 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi

I forgot to mention in my previous mail that we are using ADTF version 2.13. So, just wanted to know if the functions mentioned in the example

given below suits the ADTF version 2.13 as well

 In this case it is not working, ADTF 2.x and 3.x are different.

Please have a look at our delivered testing examples (./src/examples/src/test) based on ADTF Test Framework, this will quite show you how to test a

filter and give some additional hints.

If we are planning to use other Unit testing frameworks, like Boost libraries, we might have to create an object of ADTF filter class. Is it possible

to create an Object of ADTF filter class?

 Yes, just have a look at the examples / test framework, it provides some macros and information to fulfill this use case.

#6 - 2019-09-13 09:14 - hidden

- Project changed from 20 to Public Support

- Subject changed from ADTF Related questions to How to test ADTF filter

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

- Affected Products ADTF 2.13.0 added

- Affected Products deleted (ADTF 3.6.1)

#7 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
